﻿///<reference path="../typings/globals/core-js/index.d.ts"/>
'use strict';

import { Component, EventEmitter, enableProdMode, NgModule, ViewChild,Inject } from '@angular/core';
import { ModuleWithProviders } from '@angular/core';
import { CommonModule } from '@angular/common';
import { BrowserModule } from '@angular/platform-browser';
import { FormsModule } from '@angular/forms';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { WjGridModule } from 'wijmo/wijmo.angular2.grid';
import { WjInputModule } from 'wijmo/wijmo.angular2.input';

import * as wjcCore from 'wijmo/wijmo';
import * as wjcGrid from 'wijmo/wijmo.grid';
import * as wjcInput from 'wijmo/wijmo.input';

import { DataSvc } from './services/DataSvc';

@Component({
    selector: 'app-cmp',
    templateUrl: '../src/AppCmp.html'
})
export class AppCmp {
    
    private dataSvc: DataSvc;
    public data: wjcCore.CollectionView;
    public data1: wjcCore.CollectionView;
    public ngModelSelectedValue = 2;
    public selectedValue = 3;
    public firstFieldVariable = 'Wijmo';
    public secondFieldVariable = '5';
    constructor( @Inject(DataSvc) _dataSvc: DataSvc) {
        this.dataSvc = _dataSvc;
        this.data = new wjcCore.CollectionView(this.dataSvc.getData(10));
        this.data1 = new wjcCore.CollectionView(this.dataSvc.getData(50));
    }
    init(s: wjcInput.ComboBox, evt: wjcCore.EventArgs) {
        s.listBox.formatItem.addHandler(function (sender, e: wjcInput.FormatItemEventArgs) {
            e.item.innerHTML = '<table><tr>' +
                '<td style="width:30px;text-align:right;padding-right:5px;">' + e.data.id + '</td>' +
                '<td style="width:100px">' + e.data.country + '</td>' +
                '<td style="width:80px;text-align:right">' +
                wjcCore.Globalize.format(e.data.date, 'd') +
                '</td>' +
                '<td style="width:80px;text-align:right">' +
                wjcCore.Globalize.format(e.data.amount, 'n0') +
                '</td>' +
                '</tr></table>';
        });
        s.refresh();
    }

}
@NgModule({
    imports: [BrowserModule, FormsModule, WjGridModule, WjInputModule],
    declarations: [AppCmp],
    providers: [DataSvc],
    bootstrap: [AppCmp]
})
export class AppModule {
}


enableProdMode();
// Bootstrap application 
platformBrowserDynamic().bootstrapModule(AppModule);

